package com.lz.modules.flow.dao;
/**
* <p>
* 等级表 服务类
* </p>
*
* @author quyixiao
* @since 2020-10-14
*/
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.lz.modules.flow.entity.ResultGrade;
import com.lz.modules.flow.model.ResultGradeDto;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface ResultGradeMapper extends BaseMapper<ResultGrade> {


	ResultGrade selectResultGradeById(@Param("id")Long id);


	Long insertResultGrade(ResultGrade resultGrade);


	int updateResultGradeById(ResultGrade resultGrade);


	int updateCoverResultGradeById(ResultGrade resultGrade);


	int deleteResultGradeById(@Param("id")Long id);


	List<ResultGradeDto> selectResultGradeByGroupId(Long gid);
}